Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpUpperTokenList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpTokenList
                  |
                  +--org.w3c.www.http.HttpUpperTokenList

public class HttpUpperTokenList
extends HttpTokenList

Parse a comma separated list of tokens.

Fields inherited from class org.w3c.www.http.HttpTokenList
`CASE_ASIS, CASE_LOWER, CASE_UPPER, casemode, tokens`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`protected` | `HttpUpperTokenList()` Create an empty token list for parsing.
`protected` | `HttpUpperTokenList(java.lang.String tokens)` Create a token list from a comma separated list of tokens.
`protected` | `HttpUpperTokenList(java.lang.String[] tokens)` Create a parsed token list, for emitting.

Methods inherited from class org.w3c.www.http.HttpTokenList
`addToken, getValue, hasToken, parse, setValue, updateByteValue`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpUpperTokenList

    protected HttpUpperTokenList(java.lang.String[] tokens)

  Create a parsed token list, for emitting.

### HttpUpperTokenList

    protected HttpUpperTokenList(java.lang.String tokens)

  Create a token list from a comma separated list of tokens.

### HttpUpperTokenList

    protected HttpUpperTokenList()

  Create an empty token list for parsing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD